--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: to_greyscale
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Converts the CMYK colour to a single greyscale value. There are undoubtedly multiple methods for this conversion, but only a minor variant of the Adobe conversion method will be used:"
- !ruby/struct:SM::Flow::VERB 
  body: "  g = 1.0 - min(1.0, 0.299 * c + 0.587 * m + 0.114 * y + k)\n"
- !ruby/struct:SM::Flow::P 
  body: This treats the CMY values similarly to YIQ (NTSC) values and then adds the level of black. This is a variant of the Adobe version because it uses the more precise YIQ (NTSC) conversion values for Y (intensity) rather than the approximates provided by Adobe (0.3, 0.59, and 0.11).
full_name: Color::CMYK#to_grayscale
is_singleton: false
name: to_grayscale
params: ()
visibility: public
